> ## Documentation Index
> Fetch the complete documentation index at: https://docsv2.sportxapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Highlights

> Highlight events for a match (wickets, milestones).



## OpenAPI

````yaml /openapi.json get /cricket/api/v2/match/{}/highlights
openapi: 3.1.0
info:
  title: SportXAPI Cricket API
  version: 2.0.0
  description: >-
    SportXAPI is a low-latency cricket data API delivering realtime ball-by-ball
    commentary, live scores, detailed match scorecards, tournaments, team/player
    statistics, ICC rankings, and news.
servers:
  - url: https://apiv2.sportxapi.com
    description: Production API (Paid keys)
  - url: https://api.sportxapi.com
    description: Demo & Testing API (Free/Demo tier)
security: []
paths:
  /cricket/api/v2/match/{}/highlights:
    get:
      tags:
        - Live Matches & Ball-by-Ball
      summary: Highlights
      description: Highlight events for a match (wickets, milestones).
      operationId: match_highlights
      parameters:
        - name: matchId
          in: path
          required: true
          description: Match identifier.
          schema:
            type: string
            example: '100123'
        - name: id
          in: query
          required: false
          description: Cursor.
          schema:
            type: string
            example: all
      responses:
        '200':
          description: Successful Response (JSON)
          content:
            application/json:
              schema:
                type: object
              example:
                '0':
                  matchID: '98697'
                  ballID: '105'
                  ballNumber: '5'
                  innings: '1'
                  over: '0.5'
                  overNumber: '1'
                  commentary: >-
                    Abdul Subhan to Leo Selvey-Clinton, no run, c U Khan b A
                    Subhan,
                  teamID: '1038'
                  teamName: England Under-19s
                  runs: '0'
                  xCoordinate: null
                  yCoordinate: null
                  wicket: true
                  teamShortName: ENG-U19
                '1':
                  matchID: '98697'
                  ballID: '113'
                  ballNumber: '3'
                  innings: '1'
                  over: '1.3'
                  overNumber: '2'
                  commentary: Mohammad Sayyam to Bertie Michael, Four,
                  teamID: '1038'
                  teamName: England Under-19s
                  runs: '4'
                  xCoordinate: null
                  yCoordinate: null
                  wicket: false
                  teamShortName: ENG-U19
                '2':
                  matchID: '98697'
                  ballID: '121'
                  ballNumber: '1'
                  innings: '1'
                  over: '2.1'
                  overNumber: '3'
                  commentary: Abdul Subhan to Isaac Mohammed, Four,
                  teamID: '1038'
                  teamName: England Under-19s
                  runs: '4'
                  xCoordinate: null
                  yCoordinate: null
                  wicket: false
                  teamShortName: ENG-U19
                '3':
                  matchID: '98697'
                  ballID: '125'
                  ballNumber: '5'
                  innings: '1'
                  over: '2.5'
                  overNumber: '3'
                  commentary: Abdul Subhan to Isaac Mohammed, Four,
                  teamID: '1038'
                  teamName: England Under-19s
                  runs: '4'
                  xCoordinate: null
                  yCoordinate: null
                  wicket: false
                  teamShortName: ENG-U19
                '4':
                  matchID: '98697'
                  ballID: '143'
                  ballNumber: '3'
                  innings: '1'
                  over: '4.3'
                  overNumber: '5'
                  commentary: Abdul Subhan to Isaac Mohammed, Four,
                  teamID: '1038'
                  teamName: England Under-19s
                  runs: '4'
                  xCoordinate: null
                  yCoordinate: null
                  wicket: false
                  teamShortName: ENG-U19
                '5':
                  matchID: '98697'
                  ballID: '144'
                  ballNumber: '4'
                  innings: '1'
                  over: '4.4'
                  overNumber: '5'
                  commentary: Abdul Subhan to Isaac Mohammed, Four,
                  teamID: '1038'
                  teamName: England Under-19s
                  runs: '4'
                  xCoordinate: null
                  yCoordinate: null
                  wicket: false
                  teamShortName: ENG-U19
                '6':
                  matchID: '98697'
                  ballID: '146'
                  ballNumber: '6'
                  innings: '1'
                  over: '4.6'
                  overNumber: '5'
                  commentary: Abdul Subhan to Isaac Mohammed, Four,
                  teamID: '1038'
                  teamName: England Under-19s
                  runs: '4'
                  xCoordinate: null
                  yCoordinate: null
                  wicket: false
                  teamShortName: ENG-U19
                '7':
                  matchID: '98697'
                  ballID: '152'
                  ballNumber: '2'
                  innings: '1'
                  over: '5.2'
                  overNumber: '6'
                  commentary: Mohammad Sayyam to Bertie Michael, Four,
                  teamID: '1038'
                  teamName: England Under-19s
                  runs: '4'
                  xCoordinate: null
                  yCoordinate: null
                  wicket: false
                  teamShortName: ENG-U19
                '8':
                  matchID: '98697'
                  ballID: '162'
                  ballNumber: '2'
                  innings: '1'
                  over: '6.2'
                  overNumber: '7'
                  commentary: Abdul Subhan to Isaac Mohammed, Four,
                  teamID: '1038'
                  teamName: England Under-19s
                  runs: '4'
                  xCoordinate: null
                  yCoordinate: null
                  wicket: false
                  teamShortName: ENG-U19
                '9':
                  matchID: '98697'
                  ballID: '172'
                  ballNumber: '2'
                  innings: '1'
                  over: '7.2'
                  overNumber: '8'
                  commentary: Mohammad Sayyam to Bertie Michael, Four,
                  teamID: '1038'
                  teamName: England Under-19s
                  runs: '4'
                  xCoordinate: null
                  yCoordinate: null
                  wicket: false
                  teamShortName: ENG-U19
                '10':
                  matchID: '98697'
                  ballID: '185'
                  ballNumber: '5'
                  innings: '1'
                  over: '8.5'
                  overNumber: '9'
                  commentary: Abdul Subhan to Bertie Michael, Four,
                  teamID: '1038'
                  teamName: England Under-19s
                  runs: '4'
                  xCoordinate: null
                  yCoordinate: null
                  wicket: false
                  teamShortName: ENG-U19
                '11':
                  matchID: '98697'
                  ballID: '193'
                  ballNumber: '3'
                  innings: '1'
                  over: '9.3'
                  overNumber: '10'
                  commentary: >-
                    Mohammad Sayyam to Isaac Mohammed, no run, c Hasnain Abbas b
                    M Sayyam,
                  teamID: '1038'
                  teamName: England Under-19s
                  runs: '0'
                  xCoordinate: null
                  yCoordinate: null
                  wicket: true
                  teamShortName: ENG-U19
                '12':
                  matchID: '98697'
                  ballID: '196'
                  ballNumber: '6'
                  innings: '1'
                  over: '9.6'
                  overNumber: '10'
                  commentary: Mohammad Sayyam to Ralphie Albert, Four,
                  teamID: '1038'
                  teamName: England Under-19s
                  runs: '4'
                  xCoordinate: null
                  yCoordinate: null
                  wicket: false
                  teamShortName: ENG-U19
                '13':
                  matchID: '98697'
                  ballID: '1143'
                  ballNumber: '3'
                  innings: '1'
                  over: '14.3'
                  overNumber: '15'
                  commentary: Abdul Subhan to Bertie Michael, Four,
                  teamID: '1038'
                  teamName: England Under-19s
                  runs: '4'
                  xCoordinate: null
                  yCoordinate: null
                  wicket: false
                  teamShortName: ENG-U19
                '14':
                  matchID: '98697'
                  ballID: '1156'
                  ballNumber: '6'
                  innings: '1'
                  over: '15.6'
                  overNumber: '16'
                  commentary: Mohammad Sayyam to Ralphie Albert, Four,
                  teamID: '1038'
                  teamName: England Under-19s
                  runs: '4'
                  xCoordinate: null
                  yCoordinate: null
                  wicket: false
                  teamShortName: ENG-U19
                '15':
                  matchID: '98697'
                  ballID: '1182'
                  ballNumber: '2'
                  innings: '1'
                  over: '18.2'
                  overNumber: '19'
                  commentary: Abdul Subhan to Ralphie Albert, Four,
                  teamID: '1038'
                  teamName: England Under-19s
                  runs: '4'
                  xCoordinate: null
                  yCoordinate: null
                  wicket: false
                  teamShortName: ENG-U19
                '16':
                  matchID: '98697'
                  ballID: '1205'
                  ballNumber: '5'
                  innings: '1'
                  over: '20.5'
                  overNumber: '21'
                  commentary: Abdul Subhan to Ralphie Albert, Four,
                  teamID: '1038'
                  teamName: England Under-19s
                  runs: '4'
                  xCoordinate: null
                  yCoordinate: null
                  wicket: false
                  teamShortName: ENG-U19
                '17':
                  matchID: '98697'
                  ballID: '1215'
                  ballNumber: '5'
                  innings: '1'
                  over: '21.5'
                  overNumber: '22'
                  commentary: Rizwanullah to Ralphie Albert, Four,
                  teamID: '1038'
                  teamName: England Under-19s
                  runs: '4'
                  xCoordinate: null
                  yCoordinate: null
                  wicket: false
                  teamShortName: ENG-U19
                '18':
                  matchID: '98697'
                  ballID: '1216'
                  ballNumber: '6'
                  innings: '1'
                  over: '21.6'
                  overNumber: '22'
                  commentary: Rizwanullah to Ralphie Albert, Four,
                  teamID: '1038'
                  teamName: England Under-19s
                  runs: '4'
                  xCoordinate: null
                  yCoordinate: null
                  wicket: false
                  teamShortName: ENG-U19
                '19':
                  matchID: '98697'
                  ballID: '1222'
                  ballNumber: '2'
                  innings: '1'
                  over: '22.2'
                  overNumber: '23'
                  commentary: Abdul Subhan to Bertie Michael, Four,
                  teamID: '1038'
                  teamName: England Under-19s
                  runs: '4'
                  xCoordinate: null
                  yCoordinate: null
                  wicket: false
                  teamShortName: ENG-U19
                '20':
                  matchID: '98697'
                  ballID: '1224'
                  ballNumber: '4'
                  innings: '1'
                  over: '22.4'
                  overNumber: '23'
                  commentary: Abdul Subhan to Bertie Michael, Four,
                  teamID: '1038'
                  teamName: England Under-19s
                  runs: '4'
                  xCoordinate: null
                  yCoordinate: null
                  wicket: false
                  teamShortName: ENG-U19
                '21':
                  matchID: '98697'
                  ballID: '1242'
                  ballNumber: '2'
                  innings: '1'
                  over: '24.2'
                  overNumber: '25'
                  commentary: Hasnain Abbas to Ralphie Albert, Four,
                  teamID: '1038'
                  teamName: England Under-19s
                  runs: '4'
                  xCoordinate: null
                  yCoordinate: null
                  wicket: false
                  teamShortName: ENG-U19
                '22':
                  matchID: '98697'
                  ballID: '1246'
                  ballNumber: '6'
                  innings: '1'
                  over: '24.6'
                  overNumber: '25'
                  commentary: Hasnain Abbas to Ralphie Albert, Four,
                  teamID: '1038'
                  teamName: England Under-19s
                  runs: '4'
                  xCoordinate: null
                  yCoordinate: null
                  wicket: false
                  teamShortName: ENG-U19
                '23':
                  matchID: '98697'
                  ballID: '1266'
                  ballNumber: '6'
                  innings: '1'
                  over: '26.6'
                  overNumber: '27'
                  commentary: Hasnain Abbas to Bertie Michael, Four,
                  teamID: '1038'
                  teamName: England Under-19s
                  runs: '4'
                  xCoordinate: null
                  yCoordinate: null
                  wicket: false
                  teamShortName: ENG-U19
                '24':
                  matchID: '98697'
                  ballID: '1272'
                  ballNumber: '2'
                  innings: '1'
                  over: '27.2'
                  overNumber: '28'
                  commentary: Rizwanullah to Ralphie Albert, Four,
                  teamID: '1038'
                  teamName: England Under-19s
                  runs: '4'
                  xCoordinate: null
                  yCoordinate: null
                  wicket: false
                  teamShortName: ENG-U19
                '25':
                  matchID: '98697'
                  ballID: '1274'
                  ballNumber: '4'
                  innings: '1'
                  over: '27.4'
                  overNumber: '28'
                  commentary: Rizwanullah to Ralphie Albert, Four,
                  teamID: '1038'
                  teamName: England Under-19s
                  runs: '4'
                  xCoordinate: null
                  yCoordinate: null
                  wicket: false
                  teamShortName: ENG-U19
                '26':
                  matchID: '98697'
                  ballID: '1314'
                  ballNumber: '4'
                  innings: '1'
                  over: '31.4'
                  overNumber: '32'
                  commentary: Rizwanullah to Bertie Michael, Four,
                  teamID: '1038'
                  teamName: England Under-19s
                  runs: '4'
                  xCoordinate: null
                  yCoordinate: null
                  wicket: false
                  teamShortName: ENG-U19
                '27':
                  matchID: '98697'
                  ballID: '1324'
                  ballNumber: '4'
                  innings: '1'
                  over: '32.4'
                  overNumber: '33'
                  commentary: Hasnain Abbas to Ralphie Albert, Four,
                  teamID: '1038'
                  teamName: England Under-19s
                  runs: '4'
                  xCoordinate: null
                  yCoordinate: null
                  wicket: false
                  teamShortName: ENG-U19
        '401':
          description: Unauthorized - Missing or invalid X-API-Key header
          content:
            application/json:
              example:
                error: 'Unauthorized: Missing or invalid API key'
        '429':
          description: Too Many Requests - Rate limit or monthly quota exceeded
          content:
            application/json:
              example:
                error: Quota limit exceeded for current billing cycle
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: Your SportXAPI secret key from the customer dashboard.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.